class YearlyStepsResModel {
  num? valueSum;
  int? medCategoryID;
  int? month;
  String? monthName;
  int? patientID;
  int? year;

  YearlyStepsResModel(
      {this.valueSum,
        this.medCategoryID,
        this.month,
        this.monthName,
        this.patientID,
        this.year});

  YearlyStepsResModel.fromJson(Map<String, dynamic> json) {
    valueSum = json['ValueSum'];
    medCategoryID = json['MedCategoryID'];
    month = json['Month'];
    monthName = json['MonthName'];
    patientID = json['PatientID'];
    year = json['Year'];
    valueSum = valueSum != null ? valueSum!.toInt() : valueSum;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ValueSum'] = this.valueSum;
    data['MedCategoryID'] = this.medCategoryID;
    data['Month'] = this.month;
    data['MonthName'] = this.monthName;
    data['PatientID'] = this.patientID;
    data['Year'] = this.year;
    return data;
  }
}
